Get a Playlist
curl --request GET \
--url https://open.beatpass.ca/api/v1/playlists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.beatpass.ca/api/v1/playlists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.beatpass.ca/api/v1/playlists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"playlist": {
"id": 123,
"name": "Some Playlist",
"public": true,
"collaborative": false,
"image": "https://example.com/image1.jpg",
"description": "<string>",
"totalDuration": 386493,
"tracks": {
"current_page": 1,
"from": 1,
"to": 100,
"per_page": 25,
"last_page": 156,
"total": 264,
"data": [
{
"id": 123,
"name": "Hey Hey What Can I Do",
"release_date": "1982-11-19",
"image": "https://example.com/image1.jpg",
"duration": 5645848548,
"description": "<string>",
"artists": [
{
"id": 123,
"name": "Led Zeppelin",
"image_small": "https://example.com/image1.jpg",
"verified": true
}
]
}
]
}
}
}Playlists
Get a Playlist
GET
/
playlists
/
{id}
Get a Playlist
Authorizations
API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Path Parameters
ID of the playlist
Last modified on July 21, 2026
Was this page helpful?
Get information about albums, artists, playlists, tracks or users that match a keyword string.Delete a playlist
⌘I